# stl_pair.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file stl_pair.h.

Go to the source code of this file.

## Namespaces

- namespace std

## Defines

- #define _PAIR_H

## Functions

- template<class _T1, class _T2> pair< _T1, _T2 > make_pair (_T1 __x, _T2 __y)
- template<class _T1, class _T2> bool operator!= (const pair< _T1, _T2 > &__x, const pair< _T1, _T2 > &__y)
- template<class _T1, class _T2> bool operator< (const pair< _T1, _T2 > &__x, const pair< _T1, _T2 > &__y)
- template<class _T1, class _T2> bool operator<= (const pair< _T1, _T2 > &__x, const pair< _T1, _T2 > &__y)
- template<class _T1, class _T2> bool operator== (const pair< _T1, _T2 > &__x, const pair< _T1, _T2 > &__y)
- template<class _T1, class _T2> bool operator> (const pair< _T1, _T2 > &__x, const pair< _T1, _T2 > &__y)
- template<class _T1, class _T2> bool operator>= (const pair< _T1, _T2 > &__x, const pair< _T1, _T2 > &__y)

## Function Documentation

pair<_T1, _T2> std::make_pair | ( | _T1 | __x,
|  | _T2 | __y
| ) | `[inline]`

A convenience wrapper for creating a pair from two objects.

Parameters:

  | x | The first object.
  | y | The second object.

Returns:
  A newly-constructed pair<> object of the appropriate type.

The standard requires that the objects be passed by reference-to-const, but LWG issue #181 says they should be passed by const value. We follow the LWG by default.

Definition at line 144 of file stl_pair.h.

bool std::operator!= | ( | const pair< _T1, _T2 > & | __x,
|  | const pair< _T1, _T2 > & | __y
| ) | `[inline]`

| Uses `operator==` to find the result. Definition at line 109 of file stl_pair.h.

bool std::operator< | ( | const pair< _T1, _T2 > & | __x,
|  | const pair< _T1, _T2 > & | __y
| ) | `[inline]`

| <http://gcc.gnu.org/onlinedocs/libstdc++/20_util/howto.html#pairlt> Definition at line 102 of file stl_pair.h.

bool std::operator<= | ( | const pair< _T1, _T2 > & | __x,
|  | const pair< _T1, _T2 > & | __y
| ) | `[inline]`

| Uses `operator<` to find the result. Definition at line 121 of file stl_pair.h.

bool std::operator== | ( | const pair< _T1, _T2 > & | __x,
|  | const pair< _T1, _T2 > & | __y
| ) | `[inline]`

| Two pairs of the same type are equal iff their members are equal. Definition at line 96 of file stl_pair.h. References pair::first, and pair::second.

bool std::operator> | ( | const pair< _T1, _T2 > & | __x,
|  | const pair< _T1, _T2 > & | __y
| ) | `[inline]`

| Uses `operator<` to find the result. Definition at line 115 of file stl_pair.h.

bool std::operator>= | ( | const pair< _T1, _T2 > & | __x,
|  | const pair< _T1, _T2 > & | __y
| ) | `[inline]`

| Uses `operator<` to find the result. Definition at line 127 of file stl_pair.h.